Create a time entry Run in API Explorer
Ask AI
Body
-
The type of the model that is being tracked.. Valid types are: client, board_task, case, circle, firm, task
Values are
client,board_task,case,circle,firm, ortask. -
The UUID of the model that is being tracked
-
The name of the time entry.
-
The description of the time entry.
-
The start time of the time entry.
-
The end time of the time entry.
-
The length of the time entry, can be used instead of dates.
POST
/api/v1/time-entry
curl \
--request POST 'https://api.plannrcrm.com/api/v1/time-entry' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"trackable_type": "client",
"trackable_uuid": "d88a31b4-51e8-40c5-a9bb-f4e648295fa9",
"name": "Research",
"description": "Research for the new project.",
"start_date": "2026-10-02",
"end_date": "2026-11-16",
"total_time_in_minutes": 200
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"trackable_type": "client",
"trackable_uuid": "d88a31b4-51e8-40c5-a9bb-f4e648295fa9",
"name": "Research",
"description": "Research for the new project.",
"start_date": "2026-10-02",
"end_date": "2026-11-16",
"total_time_in_minutes": 200
}
Response examples (200)
{
"uuid": "9e070180-8259-4123-94c8-3b117f717c89",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"trackable": {
"uuid": "87421744-ca69-4bb1-a1cb-b050462a3c8c",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "da4de829-57ae-478a-bf37-1414f7626c4f",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"start_date": "2026-11-16T12:10:50+00:00",
"end_date": "2026-11-16T12:38:50+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680,
"account": {
"uuid": "d934a38c-77c2-42c8-9a05-776bfc7ac25a",
"created_at": "2026-11-16T13:00:50+00:00",
"updated_at": "2026-11-16T13:00:50+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "da4de829-57ae-478a-bf37-1414f7626c4f",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}